Servlet and JavaServer Pages API Documentation: Class JspWriter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp
Class JspWriter

    java.lang.Object
      |
      +--java.io.Writer
            |
            +--javax.servlet.jsp.JspWriter

Direct Known Subclasses:
  BodyContent

public abstract class JspWriter
extends java.io.Writer

This abstract class emulates some of the functionality found in the java.io.BufferedWriter and java.io.PrintWriter classes, however it differs in that it throws java.io.IOException from the print methods with PrintWriter does not.

The "out" implicit variable of a JSP implementation class is of this type. If the page directive selects autoflush="true" then all the I/O operations on this class shall automatically fluch the contents of the buffer if an overflow condition would result if the current operation were performed without a flush. If autoflush="false" then all the I/O operations on this class shall throw an IOException if performing the current opertion would result in a buffer overflow condition.

See Also:
  `Writer`, `BufferedWriter`, `PrintWriter`

Field Summary
`protected boolean` | `autoFlush`
`protected int` | `bufferSize`
`static int` | `DEFAULT_BUFFER` constant indicating that the Writer is buffered and is using the implementation default buffer size
`static int` | `NO_BUFFER` constant indicating that the Writer is not buffering output
`static int` | `UNBOUNDED_BUFFER` constant indicating that the Writer is buffered and is unbounded; this is used in BodyContent

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`protected` | `JspWriter(int bufferSize, boolean autoFlush)` protected constructor.

Method Summary
`abstract void` | `clear()` Clear the contents of the buffer.
`abstract void` | `clearBuffer()` Clears the current contents of the buffer.
`abstract void` | `close()` Close the stream, flushing it first.
`abstract void` | `flush()` Flush the stream.
`int` | `getBufferSize()`
`abstract int` | `getRemaining()`
`boolean` | `isAutoFlush()`
`abstract void` | `newLine()` Write a line separator.
`abstract void` | `print(boolean b)` Print a boolean value.
`abstract void` | `print(char c)` Print a character.
`abstract void` | `print(char[] s)` Print an array of characters.
`abstract void` | `print(double d)` Print a double-precision floating-point number.
`abstract void` | `print(float f)` Print a floating-point number.
`abstract void` | `print(int i)` Print an integer.
`abstract void` | `print(long l)` Print a long integer.
`abstract void` | `print(java.lang.Object obj)` Print an object.
`abstract void` | `print(java.lang.String s)` Print a string.
`abstract void` | `println()` Terminate the current line by writing the line separator string.
`abstract void` | `println(boolean x)` Print a boolean value and then terminate the line.
`abstract void` | `println(char x)` Print a character and then terminate the line.
`abstract void` | `println(char[] x)` Print an array of characters and then terminate the line.
`abstract void` | `println(double x)` Print a double-precision floating-point number and then terminate the line.
`abstract void` | `println(float x)` Print a floating-point number and then terminate the line.
`abstract void` | `println(int x)` Print an integer and then terminate the line.
`abstract void` | `println(long x)` Print a long integer and then terminate the line.
`abstract void` | `println(java.lang.Object x)` Print an Object and then terminate the line.
`abstract void` | `println(java.lang.String x)` Print a String and then terminate the line.

Methods inherited from class java.io.Writer
`write, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_BUFFER

    public static final int NO_BUFFER

  constant indicating that the Writer is not buffering output

### DEFAULT_BUFFER

    public static final int DEFAULT_BUFFER

  constant indicating that the Writer is buffered and is using the implementation default buffer size

### UNBOUNDED_BUFFER

    public static final int UNBOUNDED_BUFFER

  constant indicating that the Writer is buffered and is unbounded; this is used in BodyContent

### bufferSize

    protected int bufferSize

### autoFlush

    protected boolean autoFlush

Constructor Detail

### JspWriter

    protected JspWriter(int bufferSize,
                        boolean autoFlush)

  protected constructor.

Method Detail

### newLine

    public abstract void newLine()
                          throws java.io.IOException

  Write a line separator. The line separator string is defined by the system property `line.separator`, and is not necessarily a single newline ('\n') character.
  Throws:
    `java.io.IOException` - If an I/O error occurs

### print

    public abstract void print(boolean b)
                        throws java.io.IOException

  Print a boolean value. The string produced by ``String.valueOf(boolean)`` is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``Writer.write(int)`` method.
  Parameters:
    `b` - The `boolean` to be printed
  Throws:
    `java.io.IOException` -

### print

    public abstract void print(char c)
                        throws java.io.IOException

  Print a character. The character is translated into one or more bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``Writer.write(int)`` method.
  Parameters:
    `c` - The `char` to be printed
  Throws:
    `java.io.IOException` -

### print

    public abstract void print(int i)
                        throws java.io.IOException

  Print an integer. The string produced by ``String.valueOf(int)`` is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``Writer.write(int)`` method.
  Parameters:
    `i` - The `int` to be printed
  Throws:
    `java.io.IOException` -
  See Also:
    `Integer.toString(int)`

### print

    public abstract void print(long l)
                        throws java.io.IOException

  Print a long integer. The string produced by ``String.valueOf(long)`` is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``Writer.write(int)`` method.
  Parameters:
    `l` - The `long` to be printed
  Throws:
    `java.io.IOException` -
  See Also:
    `Long.toString(long)`

### print

    public abstract void print(float f)
                        throws java.io.IOException

  Print a floating-point number. The string produced by ``String.valueOf(float)`` is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``Writer.write(int)`` method.
  Parameters:
    `f` - The `float` to be printed
  Throws:
    `java.io.IOException` -
  See Also:
    `Float.toString(float)`

### print

    public abstract void print(double d)
                        throws java.io.IOException

  Print a double-precision floating-point number. The string produced by ``String.valueOf(double)`` is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``Writer.write(int)`` method.
  Parameters:
    `d` - The `double` to be printed
  Throws:
    `java.io.IOException` -
  See Also:
    `Double.toString(double)`

### print

    public abstract void print(char[] s)
                        throws java.io.IOException

  Print an array of characters. The characters are converted into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``Writer.write(int)`` method.
  Parameters:
    `s` - The array of chars to be printed
  Throws:
    `java.lang.NullPointerException` - If `s` is `null`
    `java.io.IOException` -

### print

    public abstract void print(java.lang.String s)
                        throws java.io.IOException

  Print a string. If the argument is `null` then the string `"null"` is printed. Otherwise, the string's characters are converted into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``Writer.write(int)`` method.
  Parameters:
    `s` - The `String` to be printed
  Throws:
    `java.io.IOException` -

### print

    public abstract void print(java.lang.Object obj)
                        throws java.io.IOException

  Print an object. The string produced by the ``String.valueOf(Object)`` method is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``Writer.write(int)`` method.
  Parameters:
    `obj` - The `Object` to be printed
  Throws:
    `java.io.IOException` -
  See Also:
    `Object.toString()`

### println

    public abstract void println()
                          throws java.io.IOException

  Terminate the current line by writing the line separator string. The line separator string is defined by the system property `line.separator`, and is not necessarily a single newline character (`'\n'`).
  Throws:
    `java.io.IOException` -

### println

    public abstract void println(boolean x)
                          throws java.io.IOException

  Print a boolean value and then terminate the line. This method behaves as though it invokes ``print(boolean)`` and then ``println()``.
  Throws:
    `java.io.IOException` -

### println

    public abstract void println(char x)
                          throws java.io.IOException

  Print a character and then terminate the line. This method behaves as though it invokes ``print(char)`` and then ``println()``.
  Throws:
    `java.io.IOException` -

### println

    public abstract void println(int x)
                          throws java.io.IOException

  Print an integer and then terminate the line. This method behaves as though it invokes ``print(int)`` and then ``println()``.
  Throws:
    `java.io.IOException` -

### println

    public abstract void println(long x)
                          throws java.io.IOException

  Print a long integer and then terminate the line. This method behaves as though it invokes ``print(long)`` and then ``println()``.
  Throws:
    `java.io.IOException` -

### println

    public abstract void println(float x)
                          throws java.io.IOException

  Print a floating-point number and then terminate the line. This method behaves as though it invokes ``print(float)`` and then ``println()``.
  Throws:
    `java.io.IOException` -

### println

    public abstract void println(double x)
                          throws java.io.IOException

  Print a double-precision floating-point number and then terminate the line. This method behaves as though it invokes ``print(double)`` and then ``println()``.
  Throws:
    `java.io.IOException` -

### println

    public abstract void println(char[] x)
                          throws java.io.IOException

  Print an array of characters and then terminate the line. This method behaves as though it invokes ``print(char[])`` and then ``println()``.
  Throws:
    `java.io.IOException` -

### println

    public abstract void println(java.lang.String x)
                          throws java.io.IOException

  Print a String and then terminate the line. This method behaves as though it invokes ``print(String)`` and then ``println()``.
  Throws:
    `java.io.IOException` -

### println

    public abstract void println(java.lang.Object x)
                          throws java.io.IOException

  Print an Object and then terminate the line. This method behaves as though it invokes ``print(Object)`` and then ``println()``.
  Throws:
    `java.io.IOException` -

### clear

    public abstract void clear()
                        throws java.io.IOException

  Clear the contents of the buffer. If the buffer has been already been flushed then the clear operation shall throw an IOException to signal the fact that some data has already been irrevocably written to the client response stream.
  Throws:
    `java.io.IOException` - If an I/O error occurs

### clearBuffer

    public abstract void clearBuffer()
                              throws java.io.IOException

  Clears the current contents of the buffer. Unlike clear(), this mehtod will not throw an IOException if the buffer has already been flushed. It merely clears the current content of the buffer and returns.
  Throws:
    `java.io.IOException` - If an I/O error occurs

### flush

    public abstract void flush()
                        throws java.io.IOException

  Flush the stream. If the stream has saved any characters from the various write() methods in a buffer, write them immediately to their intended destination. Then, if that destination is another character or byte stream, flush it. Thus one flush() invocation will flush all the buffers in a chain of Writers and OutputStreams.
  Specified by:
    `flush` in class `java.io.Writer`
  Throws:
    `java.io.IOException` - If an I/O error occurs

### close

    public abstract void close()
                        throws java.io.IOException

  Close the stream, flushing it first. Once a stream has been closed, further write() or flush() invocations will cause an IOException to be thrown. Closing a previously-closed stream, however, has no effect.
  Specified by:
    `close` in class `java.io.Writer`
  Throws:
    `java.io.IOException` - If an I/O error occurs

### getBufferSize

    public int getBufferSize()

  Returns:
    the size of the buffer in bytes, or 0 is unbuffered.

### getRemaining

    public abstract int getRemaining()

  Returns:
    the number of bytes unused in the buffer

### isAutoFlush

    public boolean isAutoFlush()

  Returns:
    if this JspWriter is auto flushing or throwing IOExceptions on buffer overflow conditions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2000 The Apache Software Foundation. All Rights Reserved.